Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008386 [DCSS] Bug Report minor always 2014-04-18 06:27 2015-08-17 17:58
Reporter crate View Status public  
Assigned To PleasingFungus
Priority normal Resolution done  
Status closed   Product Branch 0.15 ancient branch
Summary 0008386: Some god abilities (e.g. Fedhas reproduction) can cost a turn and fail when not useful
Description If you attempt to use Reproduction with no corpses in los and you fail the success check you lose a turn. The game should first check if the ability will do anything and then later check failure. Probably also true with other god abilities.
Additional Information
Tags No tags attached.
Attached Files ? file icon imprison-abort.patch [^] (37,949 bytes) 2014-06-27 04:21 [Show Content]

- Relationships

-  Notes
(0026076)
sgrunt (administrator)
2014-05-07 04:09

0.15-a0-464-gdaa30c6 fixes Reproduction and Evolution; other abilities that currently have this problem are Growth and anything taking a target (Makhleb's destructions; breath weapons).
(0026089)
Bloax (reporter)
2014-05-08 08:07

I'm not sure if it was fixed already, but the jump attack felids get checks the success chance before you do anything - and thus you can lose a turn just by trying to look at what you can do if you fail the success roll (which usually come after aiming).
(0026097)
sgrunt (administrator)
2014-05-08 17:03

That's an ability that takes a target and falls into the above.
(0026331)
nrook (updater)
2014-05-30 05:46

I'm looking at doing "everything that takes a target" now.
(0026641)
nrook (updater)
2014-06-27 04:21

Uploaded is a proof-of-concept that fixes this bug for Imprison, and makes minor changes that'd make it easier to fix it for every other ability.
(0026644)
PleasingFungus (administrator)
2014-06-27 17:29

Applied, thanks!

- Issue History
Date Modified Username Field Change
2014-04-18 06:27 crate New Issue
2014-05-07 04:09 sgrunt Note Added: 0026076
2014-05-07 04:09 sgrunt Status new => confirmed
2014-05-08 08:07 Bloax Note Added: 0026089
2014-05-08 17:03 sgrunt Note Added: 0026097
2014-05-30 05:46 nrook Note Added: 0026331
2014-06-27 04:21 nrook File Added: imprison-abort.patch
2014-06-27 04:21 nrook Note Added: 0026641
2014-06-27 17:29 PleasingFungus Note Added: 0026644
2014-06-27 17:29 PleasingFungus Status confirmed => resolved
2014-06-27 17:29 PleasingFungus Fixed in Branch => 0.15 development branch
2014-06-27 17:29 PleasingFungus Resolution open => done
2014-06-27 17:29 PleasingFungus Assigned To => PleasingFungus
2015-08-17 17:58 crate Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker